Name:           hacking-snmp-mib
Version:        0.1
Release:        1%{?dist}
Summary:        SNMP MIB (organisational unit) used as a base by all other Hacking Networked Solutions SNMP MIBs

License:        LGPLv3
URL:            https://www.mad-hacking.net/software/linux/agnostic/%{name}/index.xml
Source0:        https://github.com/MADhacking/%{name}/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       net-snmp


%description
An SNMP MIB declaring the Hacking Networked Solutions PEN namespace, branches 
and objects used by all other Hacking Networked Solutions SNMP MIBs.

%prep
%autosetup -n %{name}-%{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/snmp/mibs
install -c -m 644  usr/share/snmp/mibs/HACKING-SNMP-MIB.txt $RPM_BUILD_ROOT%{_datadir}/snmp/mibs


%files
%{_datadir}/snmp/mibs/HACKING-SNMP-MIB.txt


%changelog
* Mon Jun  4 2018 Gary T. Giesen <ggiesen@giesen.me> - 0.1-1
- Initial build.
